@import 'assets/variables.scss';

.root {
  display: flex;
  cursor: pointer;
}

.boxWrap {
  margin-right: $cell * 2;

  .box {
    width: $cell * 3;
    display: inline-block;
    height: $cell * 3;
    border-radius: 4px;
    border: 1px solid $soft-grey;
    text-align: center;
    vertical-align: top;

    &:hover {
      border: 1px solid $dark-grey;
    }
  }

  .coupling {
    position: relative;
    display: inline-block;
    padding: 0;
  }

  .checked {
    background-color: $dark-grey;
    border: 1px solid $dark-grey;
  }

  .check {
    color: white;
    margin: 0 !important;
    margin-top: 2px !important;
  }

  .input {
    opacity: 0;
    position: absolute;
    pointer-events: none;
    left: 0;
  }
}

.label {
  margin-top: 2px;
}